/* eslint-disable max-len */
import * as React from "react";
import { SVGProps } from "react";

import styles from "@/icons/IconFills.module.scss";
import { IiCon } from "@/types/IconInterface";

const SvgComponent = ({ color, width = "22px", height = "22px", fill, ...restProps }: IiCon & SVGProps<SVGSVGElement>) => (
    <svg
        xmlns="http://www.w3.org/2000/svg"
        className={styles[`icon_color-${color}`]}
        style={{ width: width, height: height }}
        viewBox="0 0 1024 1024"
        {...restProps}
    >
        <path
            fill={fill}
            d="M923.52 872.32H101.76a97.28 97.28 0 0 1-96.64-97.28V207.36a97.28 97.28 0 0 1 96.64-97.28h609.92a32.64 32.64 0 0 1 0 64H101.76a32.64 32.64 0 0 0-32.64 32.64V774.4a33.28 33.28 0 0 0 32.64 33.28h821.76a33.28 33.28 0 0 0 32.64-33.28V207.36a32.64 32.64 0 0 0-32.64-32.64 32.64 32.64 0 0 1 0-64 97.28 97.28 0 0 1 96.64 97.28v567.68a97.28 97.28 0 0 1-96.64 96.64z"
        />
        <path
            fill={fill}
            d="M300.8 579.84a32 32 0 0 1-21.76-8.32L159.36 457.6a32 32 0 0 1 0-45.44 32 32 0 0 1 45.44 0L323.2 524.8a32 32 0 0 1 0 45.44 32.64 32.64 0 0 1-22.4 9.6z"
        />
        <path
            fill={fill}
            d="M184.32 583.04a28.8 28.8 0 0 1-21.76-7.04 32 32 0 0 1 0-45.44l112-120.96A32 32 0 0 1 320 453.76L208 576a31.36 31.36 0 0 1-23.68 7.04zm387.84-3.2a32 32 0 0 1-21.76-8.32L430.72 457.6a32 32 0 0 1 0-45.44 32 32 0 0 1 45.44 0l118.4 112.64a32 32 0 0 1 0 45.44 32.64 32.64 0 0 1-22.4 9.6z"
        />
        <path
            fill={fill}
            d="M455.68 583.04a28.8 28.8 0 0 1-21.76-7.04 32 32 0 0 1 0-45.44l112-120.96a32 32 0 1 1 46.72 44.16L479.36 576a31.36 31.36 0 0 1-23.68 7.04zm387.84-3.2a32 32 0 0 1-21.76-8.32L704 457.6a32 32 0 0 1 0-45.44 32 32 0 0 1 45.44 0L865.92 524.8a32 32 0 0 1 0 45.44 32.64 32.64 0 0 1-22.4 9.6z"
        />
        <path
            fill={fill}
            d="M727.04 583.04A30.08 30.08 0 0 1 704 576a32 32 0 0 1 0-45.44L817.28 409.6A32 32 0 1 1 864 453.76L750.72 576a31.36 31.36 0 0 1-23.68 7.04z"
        />
    </svg>
);
export default SvgComponent;
